package klax;

import java.awt.Graphics;

/**
 * @author Graefe
 * 
 * Die Vorlage fr jedes GrafikObjekt des Spiels
 */
public abstract class JavaKlax_GameObjekt
{
	/** Position des Objekts auf dem Spielfeld */
	protected int x,y;
	
	/** der linke Punkt der ersten Spalte */
	protected static int leftX;
	
	/**
	 * Konstruktor eines Grafik Objekts
	 * @param x -> x Position
	 * @param y -> y Position
	 */
	public JavaKlax_GameObjekt(int x, int y)
	{
		this.x=x;
		this.y=y;
	}
	
	/**
	 * StandartKonstruktor
	 * Position = 0,0
	 */
	public JavaKlax_GameObjekt()
	{
		x=y=0;
	}
	
	/** diese Funktion muss jedes Grafikobjekt berladen */
	public abstract void draw(Graphics g);
}
